<template>
    <div>
        <div class="container">

            <h1 class="h1 underline">Productos</h1>
            <hr class="margin-top-10">

            <div class="margin-top-10">
                <NuxtLink to="/product/get">Registrar nuevo producto</NuxtLink>
            </div>

            <div class="content margin-top-20">
                <table class="full-width table table-hover table-bordered table-sm">
                    <thead>
                        <tr>
                            <th width="2%">#</th>
                            <th>Nombre</th>
                            <th>Descripción</th>
                            <th>Cantidad disponible</th>
                            <th>Precio Unitario</th>
                            <th>Proveedor</th>
                            <th colspan="2"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="(item, index) in productsList" :key="index">
                            <td class="text-center">{{ item.id }}</td>
                            <td class="text-center">{{ item.nombre }}</td>
                            <td class="text-center">{{ item.descripcion }}</td>
                            <td class="text-center">{{ item.cantidadDisponible }}</td>
                            <td class="text-center">{{ item.precioUnitario }}</td>
                            <td class="text-center">{{ item.proveedor }}</td>
                            <td class="text-center">
                                <NuxtLink :to="`/product/get/${item.id}`">Editar</NuxtLink>
                            </td>
                            <td class="text-center">
                                <NuxtLink :to="`/product/get/${item.id}?a=2`">Eliminar</NuxtLink>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</template>
<script setup lang="ts">

    let { data:productsList } = await useFetch('/api/product', { 
        lazy: true,
        server: true,
        method: 'GET',
        headers: { 'method': 'list' }
    });
    
</script>